package org.jeecg.modules.device.service;

import org.jeecg.modules.device.entity.BuDevice;
import org.jeecg.modules.device.entity.BuDeviceLifeCircle;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 设备生命周期表
 * @Author: jeecg-boot
 * @Date:   2020-12-11
 * @Version: V1.0
 */
public interface IBuDeviceLifeCircleService extends IService<BuDeviceLifeCircle> {

    public BuDeviceLifeCircle getLifeCircleByIdCode(String deviceId,String deviceCode);

    public BuDeviceLifeCircle getDataByDeviceId(String deviceId);

    public String getTimeByDeviceId(String deviceId);

    public BuDeviceLifeCircle getDateByDeviceId(String deviceId);


}
